| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
bit.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genIUType >
GLM_FUNC_DECL genIUType | highestBitValue (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | highestBitValue (vecType< T, P > const &value)
template<typename genIUType >
GLM_FUNC_DECL genIUType | lowestBitValue (genIUType Value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoAbove (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoAbove (vecType< T, P > const &value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoBelow (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoBelow (vecType< T, P > const &value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoNearest (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoNearest (vecType< T, P > const &value)

## Detailed Description

GLM_GTX_bit

See also
  GLM Core (dependence)
  gtc_half_float (dependence)

Definition in file bit.hpp.